com.ibm.openpages.api.solution

## Interface ISolutionTypeDefinitionOptions

-     public interface ISolutionTypeDefinitionOptions

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isIncludeDisabledTypeDefinitions()` Returns the includeDisabledTypeDefinitions flag.
    `boolean` | `isIncludeMissingTypeDefinitions()` Returns the includeMissingTypeDefinitions flag.
    `void` | `setIncludeDisabledTypeDefinitions(boolean includeDisabledTypeDefinitions)` When set to true the returned value will include lists of ISolutionTypeDefinition objects that include associations that have been disabled from the vendor provided solutions.
    `void` | `setIncludeMissingTypeDefinitions(boolean includeMissingTypeDefinitions)` When set to true the returned value will include lists of ISolutionTypeDefinition objects that include associations in vendor provided solutions that are to TypeDefinitions that have not been installed on the environment.

- - ### Method Detail

    - #### isIncludeDisabledTypeDefinitions

          boolean isIncludeDisabledTypeDefinitions()

      Returns the includeDisabledTypeDefinitions flag.
      Returns:

    - #### setIncludeDisabledTypeDefinitions

          void setIncludeDisabledTypeDefinitions(boolean includeDisabledTypeDefinitions)

      When set to true the returned value will include lists of ISolutionTypeDefinition objects that include associations that have been disabled from the vendor provided solutions.
      Parameters:
        `includeDisabledTypeDefinitions` -

    - #### isIncludeMissingTypeDefinitions

          boolean isIncludeMissingTypeDefinitions()

      Returns the includeMissingTypeDefinitions flag.
      Returns:

    - #### setIncludeMissingTypeDefinitions

          void setIncludeMissingTypeDefinitions(boolean includeMissingTypeDefinitions)

      When set to true the returned value will include lists of ISolutionTypeDefinition objects that include associations in vendor provided solutions that are to TypeDefinitions that have not been installed on the environment.
      Parameters:
        `includeMissingTypeDefinitions` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.